<?php
/**
 * Laundry Cleaning: Block Patterns
 *
 * @since Laundry Cleaning 1.0
 */

/**
 * Registers block patterns and categories.
 *
 * @since Laundry Cleaning 1.0
 *
 * @return void
 */
function laundry_cleaning_register_block_patterns() {
	$laundry_cleaning_block_pattern_categories = array(
		'laundry-cleaning'    => array( 'label' => __( 'Laundry Cleaning', 'laundry-cleaning' ) ),
	);

	$laundry_cleaning_block_pattern_categories = apply_filters( 'laundry_cleaning_block_pattern_categories', $laundry_cleaning_block_pattern_categories );

	foreach ( $laundry_cleaning_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'laundry_cleaning_register_block_patterns', 9 );
